Add scripts (post-install)

This commit is contained in:
Santiago Lo Coco 2024-04-06 12:46:09 +02:00
parent 18b090f4be
commit bd6460536f
1 changed files with 36 additions and 0 deletions

36
scripts/install.sh Normal file
View File

@ -0,0 +1,36 @@
#!/usr/bin/env bash
cloneAndMake() {
if [ -z "$password" ]; then
read -s -p "Enter your password: " password
echo
fi
echo "Downloading '${1}'"
#git clone "$2"
if [ -e "$1/Makefile" ]; then
(cd "$1" || { echo "Couldn't cd into '$1'." 1>&2 && exit 1; }; echo "$password" | sudo make install)
fi
}
downloadAndInstallPackages() {
DOTFILES_CONFIG="$HOME/.config"
cd "$DOTFILES_CONFIG" || { echo "Couldn't cd into '$DOTFILES_CONFIG'." 1>&2 && exit 1; }
repositories=(
"https://gitlab.com/slococo/cbattery.git"
"https://gitlab.com/slococo/clauncher.git"
"https://gitlab.com/slococo/sketchybar.git"
)
for url in "${repositories[@]}"; do
name=$(basename "$url" .git)
cloneAndMake "$name" "$url"
done
}
runScript() {
downloadAndInstallPackages
}
runScript